import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import "tailwindcss/tailwind.css"
import './style.less'
import Util from './util'
import service from './service'
import { Plugin } from 'vue-fragment'
import { Image as VanImage } from 'vant';

import { Toast,Empty,Dialog,Lazyload,ActionSheet, Calendar, RadioGroup, Radio, Area  } from 'vant'
import VConsole from 'vconsole';

const vconsole = process.env.VUE_APP_ENV === 'TEST'?new VConsole():''
// const vconsole = new VConsole()

window.console.log(vconsole,'移动console');
Vue.use(Lazyload);
Vue.use(VanImage);
Vue.use(Dialog);
Vue.use(ActionSheet)
Vue.use(Empty)
Vue.use(Toast)
Vue.use(Calendar)
Vue.use(RadioGroup)
Vue.use(Radio)
Vue.use(Area)
Vue.use(Util)
Vue.use(Plugin)
Vue.use(service)
Vue.config.productionTip = false

export default new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
